org.apache.poi.hssf.usermodel

## Class HSSFIconMultiStateFormatting

- java.lang.Object
- - org.apache.poi.hssf.usermodel.HSSFIconMultiStateFormatting

- All Implemented Interfaces:
    IconMultiStateFormatting

      public final class HSSFIconMultiStateFormatting
      extends java.lang.Object
      implements IconMultiStateFormatting

  High level representation for Icon / Multi-State Formatting component of Conditional Formatting settings

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.poi.ss.usermodel.IconMultiStateFormatting

      `IconMultiStateFormatting.IconSet`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `HSSFIconMultiStateFormatting(CFRule12Record cfRule12Record, HSSFSheet sheet)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HSSFConditionalFormattingThreshold` | `createThreshold()` Creates a new, empty Threshold
    `IconMultiStateFormatting.IconSet` | `getIconSet()` Get the Icon Set used
    `HSSFConditionalFormattingThreshold[]` | `getThresholds()` Gets the list of thresholds
    `boolean` | `isIconOnly()` Should Icon + Value be displayed, or only the Icon?
    `boolean` | `isReversed()`
    `void` | `setIconOnly(boolean only)` Control if only the Icon is shown, or Icon + Value
    `void` | `setIconSet(IconMultiStateFormatting.IconSet set)` Changes the Icon Set used
    `void` | `setReversed(boolean reversed)`
    `void` | `setThresholds(ConditionalFormattingThreshold[] thresholds)` Sets the of thresholds.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HSSFIconMultiStateFormatting

          protected HSSFIconMultiStateFormatting(CFRule12Record cfRule12Record,
                                                 HSSFSheet sheet)

  - ### Method Detail

    - #### getIconSet

          public IconMultiStateFormatting.IconSet getIconSet()

      Description copied from interface: `IconMultiStateFormatting`
      Get the Icon Set used
      Specified by:
        `getIconSet` in interface `IconMultiStateFormatting`

    - #### setIconSet

          public void setIconSet(IconMultiStateFormatting.IconSet set)

      Description copied from interface: `IconMultiStateFormatting`
      Changes the Icon Set used

      If the new Icon Set has a different number of icons to the old one, you must update the thresholds before saving!

      Specified by:
        `setIconSet` in interface `IconMultiStateFormatting`

    - #### isIconOnly

          public boolean isIconOnly()

      Description copied from interface: `IconMultiStateFormatting`
      Should Icon + Value be displayed, or only the Icon?
      Specified by:
        `isIconOnly` in interface `IconMultiStateFormatting`

    - #### setIconOnly

          public void setIconOnly(boolean only)

      Description copied from interface: `IconMultiStateFormatting`
      Control if only the Icon is shown, or Icon + Value
      Specified by:
        `setIconOnly` in interface `IconMultiStateFormatting`

    - #### isReversed

          public boolean isReversed()

      Specified by:
        `isReversed` in interface `IconMultiStateFormatting`

    - #### setReversed

          public void setReversed(boolean reversed)

      Specified by:
        `setReversed` in interface `IconMultiStateFormatting`

    - #### getThresholds

          public HSSFConditionalFormattingThreshold[] getThresholds()

      Description copied from interface: `IconMultiStateFormatting`
      Gets the list of thresholds
      Specified by:
        `getThresholds` in interface `IconMultiStateFormatting`

    - #### setThresholds

          public void setThresholds(ConditionalFormattingThreshold[] thresholds)

      Description copied from interface: `IconMultiStateFormatting`
      Sets the of thresholds. The number must match `IconMultiStateFormatting.IconSet.num` for the current `IconMultiStateFormatting.getIconSet()`
      Specified by:
        `setThresholds` in interface `IconMultiStateFormatting`

    - #### createThreshold

          public HSSFConditionalFormattingThreshold createThreshold()

      Description copied from interface: `IconMultiStateFormatting`
      Creates a new, empty Threshold
      Specified by:
        `createThreshold` in interface `IconMultiStateFormatting`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.